Skip to navigation

Create a DRAFT shipping address

Requires the SHIPPING_ADDRESS.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
customer_idstringRequired
The customer owning this address. Immutable after creation.
recipientobjectRequired
addressobjectRequired
descriptionstring or nullOptionalformat: "^.*$"0-256 characters

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
referencestringOptionalformat: "^\S+$"0-256 characters
customer_idstringOptional
The customer owning this address. Immutable after creation.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptionalRead-only
Allowed values:
recipientobjectOptional
addressobjectOptional
is_defaultboolean or nullOptionalRead-only

Only ACTIVE addresses can be default. Use set-as-default to select this address and clear the previous default for the customer.

created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error